
package de.ivu.elect.presentation.wahlbeteiligung.menu;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.ui.AbstractPageMenuModelBuilder;

@Named(WahlbeteiligungPageMenu.COMPONENT_NAME)
public class WahlbeteiligungPageMenu extends AbstractPageMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlbeteiligungPageMenu";

  @Inject
  private transient WahlbeteiligungVerlaufSearchMenuItemEntry wahlbeteiligungVerlaufSearchMenuItemEntry;

  @Inject
  private transient WahlbeteiligungVerlaufExportMenuItemEntry wahlbeteiligungVerlaufExportMenuItemEntry;

  @Inject
  private transient WahlbeteiligungVerlaufImportMenuItemEntry wahlbeteiligungVerlaufImportMenuItemEntry;

  public WahlbeteiligungPageMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();

    result.add(wahlbeteiligungVerlaufSearchMenuItemEntry);
    result.add(wahlbeteiligungVerlaufImportMenuItemEntry);
    result.add(wahlbeteiligungVerlaufExportMenuItemEntry);

    return result;
  }
}
